var uiConfig = {
	"imgYes":		'<i class="layui-icon layui-icon-ok-circle"></i>',
	"imgNo" :		'<i class="layui-icon layui-icon-close-fill"></i>',
	"imgEdit":		'<i class="layui-icon layui-icon-edit"></i>',
	"imgDel":		'<i class="layui-icon layui-icon-delete"></i>',
	"imgAbout":		'<i class="layui-icon layui-icon-about"></i>',
	"imgEnable":	'<i class="layui-icon layui-icon-play"></i>',
	"imgDisable":	'<i class="layui-icon layui-icon-pause"></i>',
}

function getCookie(name) {
	var ck = document.cookie.split(";");
	for (i = 0; i < ck.length; i++) {
		if (ck[i].indexOf(name+"=") != -1) {
			return ck[i].split("=")[1];
		}
	}
	return "";
}

function IsDigit(str)
{
	var i;

	if (str == "")
		return false;

	i = 0
	if (str.charAt(0) == '-') 
		i = 1

	for (; i < str.length; i++) {
		if (str.charAt(i) < '0' || str.charAt(i) > '9')
			return false;
	}

	return true;
}

function IsDigitIn(str, min, max)
{
	var i;

	if (!IsDigit(str))
		return false;

	if (str >= min && str <= max)
		return true;

	return false;
}

function IsEngString(str)
{
	var i;

	if (str == "")
		return false;

	for (i = 0; i < str.length; i++) {
		if (str.charAt(i) >= 'a' && str.charAt(i) <= 'z' ||
		    str.charAt(i) >= 'A' && str.charAt(i) <= 'Z' ||
		    str.charAt(i) >= '0' && str.charAt(i) <= '9') {
			continue;
		}
		else {
			return false;
		}
	}

	return true;
}

function IsIPAddr(str)
{
	var i, j;
	var ar, tmp;
	var ipstr;

	/* format: x.x.x.x/n */
	ar = str.split("/");
	if (ar.length == 2) {
		if (ar[1] < 0 || ar[1] > 32)
			return false;
		ipstr = ar[0];
	}
	else {
		ipstr = str;
	}

	ar = ipstr.split(".");
	if (ar.length != 4)
		return false;

	for (i = 0; i < ar.length; i++) {
		if (ar[i] == "") return false;

		tmp = ar[i];
		for (j = 0; j < tmp.length; j++) {
			if (tmp.charAt(j) < '0' || tmp.charAt(j) > '9')
				return false;
		}

		if (ar[i] < 0 || ar[i] > 255)
			return false;
	}

	return true;
}

function TrimAll(str)
{
	var s="";

	for (i = 0; i < str.length; i++) {
		if (str.charAt(i) != ' ') {
			s = s + str.charAt(i);
		}
	}

	return s;
}

function AJXS(options)
{
	var uri = "";
	var json = "";

	if(options.data != undefined) {
		uri = "?";
		var keylist = Object.keys(options.data);
		for(var i = 0; i <= (keylist.length - 1); i++){
			key = keylist[i];
			if(i == ( keylist.length -1 ))
				uri = uri + key + "=" + options.data[key];
			else
				uri = uri + key + "=" + options.data[key] + "&";
		}
	}

	var http;
	if (typeof XMLHttpRequest != 'undefined')
		http = new XMLHttpRequest();
	else {
		try {
			http = new ActiveXObject("Msxml2.XMLHTTP");
		}catch (e) {
			try {
				http = new ActiveXObject("Microsoft.XMLHTTP");
			} catch (e) {return ;}
		}
	}

	http.open(options.type, options.url + uri, true);
	http.setRequestHeader("Accept", "text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8");
	http.setRequestHeader("Cache-Control", "no-cache");
	http.setRequestHeader("Accept-Language", "zh-CN,zh;q=0.8");
	http.setRequestHeader("Content-Type", "text/html; charset=GB2312");

	http.onreadystatechange = function() {
		if (http.readyState == 4) {
			if (http.status == 200) {
				if(options.dataType != "html") {
					var json = eval('('+http.responseText+')');
					options.success(json);
				} else {
					options.success(http.responseText);
				}
			} else {
				options.error(http.status);
			}
		}
	}

	http.send(null);
}

function dateFmt(timestamp, format)
{
	if(typeof format != "string" || format == "") format = 'Y-m-d H:i:s';
	var a, jsdate=((timestamp) ? new Date(timestamp*1000) : new Date());
	var pad = function(n, c){
		if((n = n + "").length < c){
			return new Array(++c - n.length).join("0") + n;
		} else {
			return n;
		}
	};
	var txt_weekdays = ["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];
	var txt_ordin = {1:"st", 2:"nd", 3:"rd", 21:"st", 22:"nd", 23:"rd", 31:"st"};
	var txt_months = ["", "January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]; 
	var f = {
		// Day
		d: function(){return pad(f.j(), 2)},
		D: function(){return f.l().substr(0,3)},
		j: function(){return jsdate.getDate()},
		l: function(){return txt_weekdays[f.w()]},
		N: function(){return f.w() + 1},
		S: function(){return txt_ordin[f.j()] ? txt_ordin[f.j()] : 'th'},
		w: function(){return jsdate.getDay()},
		z: function(){return (jsdate - new Date(jsdate.getFullYear() + "/1/1")) / 864e5 >> 0},
		// Week
		W: function(){
			var a = f.z(), b = 364 + f.L() - a;
			var nd2, nd = (new Date(jsdate.getFullYear() + "/1/1").getDay() || 7) - 1;
			if(b <= 2 && ((jsdate.getDay() || 7) - 1) <= 2 - b){
				return 1;
			} else{
				if(a <= 2 && nd >= 4 && a >= (6 - nd)){
					nd2 = new Date(jsdate.getFullYear() - 1 + "/12/31");
					return date("W", Math.round(nd2.getTime()/1000));
				} else{
					return (1 + (nd <= 3 ? ((a + nd) / 7) : (a - (7 - nd)) / 7) >> 0);
				}
			}
		},
		// Month
		F: function(){return txt_months[f.n()]},
		m: function(){return pad(f.n(), 2)},
		M: function(){return f.F().substr(0,3)},
		n: function(){return jsdate.getMonth() + 1},
		t: function(){
			var n;
			if( (n = jsdate.getMonth() + 1) == 2 ){
				return 28 + f.L();
			} else{
				if( n & 1 && n < 8 || !(n & 1) && n > 7 ){
					return 31;
				} else{
					return 30;
				}
			}
		},
		// Year
		L: function(){var y = f.Y();return (!(y & 3) && (y % 1e2 || !(y % 4e2))) ? 1 : 0},
		//o not supported yet
		Y: function(){return jsdate.getFullYear()},
		y: function(){return (jsdate.getFullYear() + "").slice(2)},
		// Time
		a: function(){return jsdate.getHours() > 11 ? "pm" : "am"},
		A: function(){return f.a().toUpperCase()},
		B: function(){
			// peter paul koch:
			var off = (jsdate.getTimezoneOffset() + 60)*60;
			var theSeconds = (jsdate.getHours() * 3600) + (jsdate.getMinutes() * 60) + jsdate.getSeconds() + off;
			var beat = Math.floor(theSeconds/86.4);
			if (beat > 1000) beat -= 1000;
			if (beat < 0) beat += 1000;
			if ((String(beat)).length == 1) beat = "00"+beat;
			if ((String(beat)).length == 2) beat = "0"+beat;
			return beat;
		},
		g: function(){return jsdate.getHours() % 12 || 12},
		G: function(){return jsdate.getHours()},
		h: function(){return pad(f.g(), 2)},
		H: function(){return pad(jsdate.getHours(), 2)},
		i: function(){return pad(jsdate.getMinutes(), 2)},
		s: function(){return pad(jsdate.getSeconds(), 2)},
		//u not supported yet
		// Timezone
		//e not supported yet
		//I not supported yet
		O: function(){
			var t = pad(Math.abs(jsdate.getTimezoneOffset()/60*100), 4);
			if (jsdate.getTimezoneOffset() > 0) t = "-" + t; else t = "+" + t;
			return t;
		},
		P: function(){var O = f.O();return (O.substr(0, 3) + ":" + O.substr(3, 2))},
		//T not supported yet
		//Z not supported yet
		// Full Date/Time
		c: function(){return f.Y() + "-" + f.m() + "-" + f.d() + "T" + f.h() + ":" + f.i() + ":" + f.s() + f.P()},
		//r not supported yet
		U: function(){return Math.round(jsdate.getTime()/1000)}
	};
	return format.replace(/[\\]?([a-zA-Z])/g, function(t, s){
		if( t!=s ){
			// escaped
			ret = s;
		} else if( f[s] ){
			// a date function exists
			ret = f[s]();
		} else{
			// nothing special
			ret = s;
		}
		return ret;
	});
}

function getQueryStr(variable)
{
	var query = window.location.search.substring(1);
	var vars = query.split("&");
	for (var i=0;i<vars.length;i++) {
		var pair = vars[i].split("=");
		if(pair[0] == variable)
			return pair[1];
	}
	return(false);
}

function ShowWindow(url, args, width, height)
{
	var left = (window.screen.width - width) / 2;
	var top  = (window.screen.height - height) / 2 - 50;

	if (args == "")
		args = "scrollbars=1,toolbar=0,menubar=0,status=0,location=0";
	else
		args += ",location=0";

	args += ",top=" + top + ",left=" + left + ",height=" + height + ",width=" + width;
	return window.open(url, "_blank", args);
}

function formatBytes(num)
{
	if (num >= 1024 * 1024 * 1024)
		return ((num / (1024 * 1024 * 1024))).toFixed(2) + 'G';
	else
	if (num >= 1024 * 1024)
		return ((num / (1024 * 1024))).toFixed(2) + 'M';
	else
	if (num >= 1024)
		return ((num / 1024)).toFixed(2) + 'K';
	else
		return num;
}

function numberformat(num)
{
	if (num >= 1000000000)
		return ((num / 1000000000)).toFixed(2) + 'G';
	else
	if (num >= 1000000)
		return ((num / 1000000)).toFixed(2) + 'M';
	else
	if (num >= 1000)
		return ((num / 1000)).toFixed(2) + 'K';
	else
		return num;
}

function alert_err(content, options, yes)
{
	var type = typeof options === 'function';
	if (type) yes = options;

	var desc1 = "ȷ";
	var desc2 = "ʾ";
	
	if (g_lang == "en" ) {
		desc1 = "OK";
		desc2 = "Error Tips";
	}

	return layer.open(layui.$.extend({
		"icon":2, 
		"anim":6, 
		"btn": [desc1],
		"title": desc2,
		"resize": false,
		"shade": ["0.0", "#ffffff"],
		"content": content,
		"yes": yes
	}, type ? {} : options));
}

function alert_tips(content, options, yes)
{
	var type = typeof options === 'function';
	if (type) yes = options;
	
	var desc1 = "ȷ";
	var desc2 = "ʾ";

	if (g_lang == "en" ) {
		desc1 = "OK";
		desc2 = "Tips";
	}
	
	return layer.open(layui.$.extend({
		"icon":0,  
		"anim":0, 
		"btn": [desc1],
		"title": desc2,
		"resize": false,
		"shade": ["0.0", "#ffffff"],
		"content": content,
		"yes": yes
	}, type ? {} : options));
}

function alert_ok(content, options, yes)
{
	var type = typeof options === 'function';
	if (type) yes = options;
	
	var desc1 = "ȷ";
	var desc2 = "ɹʾ";
	
	if (g_lang == "en" ) {
		desc1 = "OK";
		desc2 = "Success tips";
	}

	return layer.open(layui.$.extend({
		"icon":1, 
		"anim":0, 
		"btn": [desc1],
		"title": desc2,
		"resize": false,
		"shade": ["0.0", "#ffffff"],
		"content": content,
		"yes": yes
	}, type ? {} : options));
}

function pa_confirm(content, options, yes, cancel){ 
	var desc1 = "ȷ";
	var desc2 = "ȷ";
	var desc3 = "ȡ";
	
	if (g_lang == "en") {
		var desc1 = "Confirm";
		var desc2 = "Yes";
		var desc3 = "No";
	};

	var type = typeof options === 'function';
	if(type){
		cancel = yes;
		yes = options;
	}
	return layer.open(layui.$.extend({
		icon: 3,
		title: desc1,
		content: content,
		btn: [desc2, desc3],
		yes: yes,
		btn2: cancel,
		resize: false,
	}, type ? {} : options));
}

function _check_screen()
{
	var width = document.body.clientWidth;

	if(width > 1200)
		return 3; //Ļ
	else if(width > 992)
		return 2; //Ļ
	else if(width > 768)
		return 1; //СĻ
	else
		return 0; //СĻ
}

function paopen(options)
{
	var success = options.success;
	var $ = layui.$;

	if(_check_screen() < 2) {
		var _width = $(window).width() - 40;
		var _height = $(window).height() - 40;

		if(typeof options.area === 'string') {
			var src_w = parseInt(options.area.substr(0, options.area.length - 2));
			if(src_w > _width) options.area = _width + "px";
		} else {
			var src_w = parseInt(options.area[0].substr(0, options.area[0].length - 2));
			var src_h = parseInt(options.area[1].substr(0, options.area[1].length - 2));

			if(src_w > _width) options.area[0] = _width + "px";
			if(src_h > _height) options.area[1] = _height + "px"; 
		}
	}

	if(options.btn === 'default')
		options.btn = g_lang == "en" ? ["Yes", "No" ] : ["ȷ", "ȡ"];
	
	var _popup = function(options) {
		if(!options.data) options.data = {};
		layui.laytpl(options.content).render(options.data, function(string){
			options.content = string;
		});
		return layer.open($.extend({
			type: 1
			,content: ''
			,shadeClose: true
			,moveOut: true
			,resize: false
			,success: function(layero, index){
				typeof success === 'function' && success.apply(this, arguments);
			}
		}, options));
	}

	if(!options.url) return _popup(options);

	$.ajax({
		url: options.url,
		type: "GET",
		dataType: 'html',
		success: function(html){
			options.content = html;
			return _popup(options);
		}
	});	
}


/* ȫֱ */
var g_ckie = "";
var g_Intervaltimer = [];
var g_lang = getCookie("palang");
var g_langlib = {};
var g_release = [];

g_lang = ( g_lang != "ch" && g_lang != "en" ) ? "ch" : g_lang;
